# Interface MutableStyleSet

All Superinterfaces:
  `uk.ac.starlink.ttools.plot.StyleSet`

All Known Implementing Classes:
  `PoolStyleSet`

public interface MutableStyleSet extends uk.ac.starlink.ttools.plot.StyleSet
Extension of the StyleSet interface which allows entries to be changed.

Since:
  6 Jan 2006
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`setStyle(int index, uk.ac.starlink.ttools.plot.Style style)`
Overwrites one entry of this style set.

### Methods inherited from interface uk.ac.starlink.ttools.plot.StyleSet

`getName, getStyle`

## Method Details

### setStyle

void setStyle(int index, uk.ac.starlink.ttools.plot.Style style)
Overwrites one entry of this style set.

Parameters:
  `index` - index of entry to overwrite
  `style` - new style for entry `index`